Package org.apache.wiki.providers

## Interface VersioningProvider

    public interface VersioningProvider

This is a provider interface which providers can implement, if they support fast checks of versions.

Note that this interface is pretty much a hack to support certain functionality before a complete refactoring of the complete provider interface. Please don't bug me too much about it...

Since:
  2.3.29

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `pageExists​(java.lang.String page, int version)` Return true, if page with a particular version exists.

### Method Detail

#### pageExists

    boolean pageExists​(java.lang.String page,
                       int version)

Return true, if page with a particular version exists.

Parameters:
  `page` - The page name to check for
  `version` - The version to check
Returns:
  True, if page exists; false otherwise.